<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>use-cases</artifactId>
    <version>1.0.4</version>
    <name>CMS Use cases</name>
    <parent>
        <artifactId>gcube-cms-suite</artifactId>
        <groupId>org.gcube.application.cms</groupId>
        <version>1.0.4</version>
    </parent>


    <properties>
        <gitBaseUrl>https://code-repo.d4science.org/gCubeSystem</gitBaseUrl>
    </properties>

    <scm>
        <connection>scm:git:${gitBaseUrl}/gcube-cms-suite</connection>
        <developerConnection>scm:git:${gitBaseUrl}/gcube-cms-suite</developerConnection>
        <url>${gitBaseUrl}/gcube-cms-suite</url>
    </scm>



    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.gcube.distribution</groupId>
                <artifactId>gcube-bom</artifactId>
                <version>${gcube-bom-version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.gcube.distribution</groupId>
                <artifactId>gcube-smartgears-bom</artifactId>
                <version>${gcube-smartgears-bom-version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>org.gcube.application</groupId>
            <artifactId>geoportal-client</artifactId>
        </dependency>
        <dependency>
            <groupId>org.gcube.application.cms</groupId>
            <artifactId>cms-test-commons</artifactId>
        </dependency>

        <dependency>
            <groupId>com.opencsv</groupId>
            <artifactId>opencsv</artifactId>
            <version>3.9</version>
        </dependency>


    </dependencies>

<!--    https://trustin.github.io/sphinx-maven-plugin/basic-usage.html#executing-within-normal-lifecycle-->

    <reporting>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-project-info-reports-plugin</artifactId>
                <version>2.9</version>
                <reportSets>
                    <reportSet>
                        <reports />
                    </reportSet>
                </reportSets>
            </plugin>
            <plugin>
                <groupId>kr.motd.maven</groupId>
                <artifactId>sphinx-maven-plugin</artifactId>
                <version>2.10.0</version>
                <configuration>
                    <builder>html</builder>
                    <configDirectory>../geoportal-service/src/site/sphinx</configDirectory>
                </configuration>
            </plugin>
        </plugins>
    </reporting>

</project>